Bug 45248 - Kernel will not rebuild if SMP is disabled and modules enabled
Kernel will not rebuild if SMP is disabled and modules enabled
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
: 52526 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-06-20 21:54 EDT by Ken Cobler
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-21 04:05:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Cobler 2001-06-20 21:54:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Win98; U)

Description of problem:
I have been struggling with getting a kernel rebuilt with redhat 7.1.
I've read on the internet about using kgcc to build redhat 7.X kernels,
not the gcc 2.96 compiler that is shipped with redhat 7.1.

The kernel builds and boots, but hangs at a sleep statement in a
/etc/rc.d/rc.sysinit script.  However, the stock redhat 7.1 CD loads and runs
fine on a single intel cpu system.

Well, I was finally able to get a kernel to build and load with redhat
7.1.  I used the gcc 2.96 compiler (not the kgcc compiler).  I had to
disable modules and disable SMP..  The SMP code, I believe, was causing
the kernel to hang at sleep statements in the /etc/rc.d/rc.sysinit

However, the only way I could get the SMP disabled code to compile was
to disable modules.  If modules were enabled and SMP disabled, I would
get an undefined smp_num_cpus problem during compilation.

Any suggestions?

Ken Cobler

How reproducible:

Steps to Reproduce:
1.make mrproper
2.make menuconfig
3.enable modules.  disable SMP
4. make dep
5. make bzImage (fails while trying to compile kernel/ksyms.c)

Actual Results:  smp_num_cpus undefined in kernel_stat.h (included in kernel/ksyms.c)

Expected Results:  a successful compilation

Additional info:

if I disable modules or enable SMP, the smp_num_cpus definition is satisified
Comment 1 Arjan van de Ven 2001-06-21 04:04:58 EDT
EHm. If you switch from SMP to UP or the other way around, you have to rerun
make mrproper. (be aware, this erases your .config file so save it to an other
place, make mrproper, restore it back and run make oldconfig)
Comment 2 August Treubig 2001-08-25 17:27:35 EDT
*** Bug 52526 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.